package com.zkqy.system.entity;

import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 拖拽树结构对象 drag_tree
 * 
 * @author hmc
 * @date 2025-03-05
 */
public class DragTree extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private  String treeShowLabel;

    private String  treeTableJoinTableCondition;
    private String  treeTableJoinTablePrimaryKey;

    public String getTreeShowLabel() {
        return treeShowLabel;
    }

    public void setTreeShowLabel(String treeShowLabel) {
        this.treeShowLabel = treeShowLabel;
    }

    /** 唯一标识符，自增主键 */
    private Long id;

    private  String  treeTableKey;

    public String getTreeTableKey() {
        return treeTableKey;
    }

    public void setTreeTableKey(String treeTableKey) {
        this.treeTableKey = treeTableKey;
    }

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long menuId;

    private String tableId;

    private  String tableNameDes;

    public String getTableNameDes() {
        return tableNameDes;
    }

    public void setTableNameDes(String tableNameDes) {
        this.tableNameDes = tableNameDes;
    }

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String menuName;

    /** 树形描述 */
    @Excel(name = "树形描述")
    private String treeDesc;

    /** 树形组件绑定的表格 */
    @Excel(name = "树形组件绑定的表格")
    private String treeTableName;

    /** 树形表格组件绑定表格的主键 */
    @Excel(name = "树形表格组件绑定表格的主键")
    private String treeTablePrimaryKey;

    /** 递归列 */
    @Excel(name = "递归列")
    private String treeTableDgl;

    /** 查询条件选的是 label 还是 value */
    @Excel(name = "查询条件选的是 label 还是 value")
    private String treeTableCondition;

    /** 关联右侧查询表的表名称 */
    @Excel(name = "关联右侧查询表的表名称")
    private String treeTableJoinTable;

    /** 整体的json */
    @Excel(name = "整体的json")
    private String allJson;

    /** 删除标志（0：否 2：是） */
    private String delFlag;

    /** 创建者id */
    @Excel(name = "创建者id")
    private Long createById;

    /** 更新者id */
    @Excel(name = "更新者id")
    private Long updateById;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }
    public void setMenuName(String menuName) 
    {
        this.menuName = menuName;
    }

    public String getMenuName() 
    {
        return menuName;
    }
    public void setTreeDesc(String treeDesc) 
    {
        this.treeDesc = treeDesc;
    }

    public String getTreeDesc() 
    {
        return treeDesc;
    }
    public void setTreeTableName(String treeTableName) 
    {
        this.treeTableName = treeTableName;
    }

    public String getTreeTableName() 
    {
        return treeTableName;
    }
    public void setTreeTablePrimaryKey(String treeTablePrimaryKey) 
    {
        this.treeTablePrimaryKey = treeTablePrimaryKey;
    }

    public String getTreeTablePrimaryKey() 
    {
        return treeTablePrimaryKey;
    }
    public void setTreeTableDgl(String treeTableDgl) 
    {
        this.treeTableDgl = treeTableDgl;
    }

    public String getTreeTableDgl() 
    {
        return treeTableDgl;
    }
    public void setTreeTableCondition(String treeTableCondition) 
    {
        this.treeTableCondition = treeTableCondition;
    }

    public String getTreeTableCondition() 
    {
        return treeTableCondition;
    }
    public void setTreeTableJoinTable(String treeTableJoinTable) 
    {
        this.treeTableJoinTable = treeTableJoinTable;
    }

    public String getTreeTableJoinTable() 
    {
        return treeTableJoinTable;
    }
    public void setAllJson(String allJson) 
    {
        this.allJson = allJson;
    }

    public String getAllJson() 
    {
        return allJson;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateById(Long createById) 
    {
        this.createById = createById;
    }

    public Long getCreateById() 
    {
        return createById;
    }
    public void setUpdateById(Long updateById) 
    {
        this.updateById = updateById;
    }

    public Long getUpdateById() 
    {
        return updateById;
    }


    public String getTableId() {
        return tableId;
    }

    public void setTableId(String tableId) {
        this.tableId = tableId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("menuId", getMenuId())
            .append("menuName", getMenuName())
            .append("treeDesc", getTreeDesc())
            .append("treeTableName", getTreeTableName())
            .append("treeTablePrimaryKey", getTreeTablePrimaryKey())
            .append("treeTableDgl", getTreeTableDgl())
            .append("treeTableCondition", getTreeTableCondition())
            .append("treeTableJoinTable", getTreeTableJoinTable())
            .append("allJson", getAllJson())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createById", getCreateById())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateById", getUpdateById())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public String getTreeTableJoinTableCondition() {
        return treeTableJoinTableCondition;
    }

    public void setTreeTableJoinTableCondition(String treeTableJoinTableCondition) {
        this.treeTableJoinTableCondition = treeTableJoinTableCondition;
    }

    public String getTreeTableJoinTablePrimaryKey() {
        return treeTableJoinTablePrimaryKey;
    }

    public void setTreeTableJoinTablePrimaryKey(String treeTableJoinTablePrimaryKey) {
        this.treeTableJoinTablePrimaryKey = treeTableJoinTablePrimaryKey;
    }
}
